Page MenuHomePhabricator

X86: Register the X86CallFrameOptimization pass
ClosedPublic

Authored by zvi on Oct 10 2017, 6:46 AM.

Details

Summary

The motivation of this change is to enable .mir testing for this pass.
Added one test case to cover the functionality, this same case will be improved by
a future patch.

Diff Detail

Repository
rL LLVM

Event Timeline

zvi created this revision.Oct 10 2017, 6:46 AM
This revision is now accepted and ready to land.Oct 22 2017, 3:56 AM
DavidKreitzer accepted this revision.Oct 23 2017, 7:05 PM

LGTM also.

This revision was automatically updated to reflect the committed changes.